
/* Styling for the theme toggle */
.theme-toggle {
    margin: 20px;
}
.switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 20px;
}
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: .4s;
    border-radius: 20px;
}
.slider.round {
    border-radius: 20px;
}
.slider.round:before {
    border-radius: 50%;
}
input:checked + .slider {
    background-color: #af1c2a;
}
input:checked + .slider:before {
    transform: translateX(20px);
}
.slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 2px;
    bottom: 2px;
    background-color:#fff;
    ;
    transition: .4s;
    border-radius: 50%;
}
/* Dark mode specific styles */
.dark-mode {
    background-color: #000;
    color: #fff;
}

.light-mode {
    background-color: #fff;
    color: #000;
}
